## gpg-rsaidea 2

=== Makefile ===
# Makefile for several GPG extensions
.PHONY: all
prefix=$(DESTDIR)/usr

ALL_TARGETS = rsa idea

all: $(ALL_TARGETS)

%: %.c
	gcc -Wall -shared -O2 -fPIC -o $@ $<

%.c: %.c.Z
	zcat $< > $@
%.c: %.c.gz
	zcat $< > $@

.PHONY: install
install: $(ALL_TARGETS)
	@set -x; for i in $(ALL_TARGETS); do \
		install -c -s -m 644 $$i $(prefix)/lib/gnupg; \
	done

.PHONY: clean
clean:
	rm -f $(shell echo *.c.Z *.c.gz | sed -e 's/\.gz//g' -e 's/\.Z//g')
	rm -f $(ALL_TARGETS)

=== debian/changelog ===
gpg-rsaidea (2) unstable; urgency=low

  * No longer install my scripts by default.
  * Scripts are now in examples.
  * Add documentation about the gpg options files.
  * This means it fixes #32486, #32568, #33851.
  * #33852 is not completely fixed; PGPPATH is not searched.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Sun, 14 Mar 1999 12:34:01 +0000

gpg-rsaidea (1) unstable; urgency=low

  * Initial Release.
  * This is a package of the IDEA and RSA modules for
    GNU Privacy Guard.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Mon, 11 Jan 1999 14:45:36 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gpg-rsaidea
Section: utils
Priority: optional
Maintainer: Tom Lees <tom@lpsg.demon.co.uk>
Standards-Version: 2.5.0.0

Package: gpg-rsa
Architecture: any
Depends: gnupg
Recommends: gpg-idea
Description: RSA (PGP 2.x-compatible) module for GNU Privacy Guard
 This package contains an extension module for the GNU Privacy Guard (GPG),
 adding support for the RSA public-key algorithm.
 RSA is required to support standard PGP 2.x keys fully with GPG.
 .
 IDEA is also the default cipher used by PGP 2.x, and is required
 to decrypt data sent by someone using PGP 2.x, to encrypt data for
 a PGP 2.x user, and to sign if you have a passphrase on your PGP
 secret key (the passphrase is encrypted using IDEA). NB you can use
 PGP to remove the passphrase, copy the key to GPG, and add a passphrase
 with GPG, and still sign without IDEA.
 .
 Note that RSA is patented in the US until at least September, 2000;
 see /usr/doc/gpg-rsa/copyright for more info.

Package: gpg-idea
Architecture: any
Depends: gnupg
Recommends: gpg-rsa
Description: IDEA (PGP 2.x-compatible) module for GNU Privacy Guard
 This package contains an extension module for the GNU Privacy Guard (GPG),
 adding support for the IDEA cipher algorithm.
 RSA and IDEA are required to support standard PGP 2.x keys fully
 with GPG (RSA only will do for signature verification though).
 IDEA is unfortunately patented with big restrictions in Europe and
 the USA - please see /usr/doc/gpg-idea/copyright.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/gnupg
	dh_installdirs -pgpg-idea usr/lib/gnupg

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
#	install -c -m 755 gpg debian/tmp/usr/bin
#	install -c -m 755 gpg-pgp debian/tmp/usr/bin
#	install -c -m 644 gpg-pgp.1 debian/gpg-idea/usr/man/man1
#	install -c -m 644 gpg-pgp.1 debian/tmp/usr/man/man1/gpg.1

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples -pgpg-rsa gpg gpg-pgp gpg-pgp.1
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_movefiles
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
